#pragma once

#include "device.h"
#include "../led_strip/led_strip.h"
#include "key.h"
typedef struct 
{
    device_t device;
    os_thread_t embedded_thread;

}sertrf_t;

/**
 * @brief 模块初始化
*/
void sertrf_init(void);

/**
 * @brief 模块启动
*/
void sertrf_start(void);

/**
 * @brief 模块停止
*/
void sertrf_stop(void);

/**
 * @brief 模块数据查看
*/
void sertrf_status(void);

/**
 * @brief embedded thread
*/
void embedded_thread(void* arg);
/**
 * @brief 根据连接状态显示不同的颜色
 * 
 * @param connect 连接状态
*/
void pc_link_rgb_color(device_t* device);
/**
 * @brief 打印时间间隔
*/
void printf_chill_time(uint8_t chill_time, uint16_t type);

